package miniteller;
abstract public class _AccountImplBase extends org.omg.CORBA.portable.Skeleton implements Account {
  protected Account _wrapper = null;
  public Account _this() {
    return this;
  }
  protected _AccountImplBase(String name) {
    super(name);
  }
  public _AccountImplBase() {
  }
  public String[] _ids() {
    return __ids;
  }
  private static String[] __ids = {
    "IDL:miniteller/Account:1.0"
  };
  public org.omg.CORBA.portable.MethodPointer[] _methods() {
    org.omg.CORBA.portable.MethodPointer[] methods = {
      new org.omg.CORBA.portable.MethodPointer("getBasicInfo", 0, 0),
      new org.omg.CORBA.portable.MethodPointer("getBalance", 0, 1),
      new org.omg.CORBA.portable.MethodPointer("deposit", 0, 2),
      new org.omg.CORBA.portable.MethodPointer("withdraw", 0, 3),
      new org.omg.CORBA.portable.MethodPointer("transfer", 0, 4),
      new org.omg.CORBA.portable.MethodPointer("getCustomerInfo", 0, 5),
      new org.omg.CORBA.portable.MethodPointer("setCustomerInfo", 0, 6),
      new org.omg.CORBA.portable.MethodPointer("_get_acctno", 0, 7),
    };
    return methods;
  }
  public boolean _execute(org.omg.CORBA.portable.MethodPointer method, org.omg.CORBA.portable.InputStream input, org.omg.CORBA.portable.OutputStream output) {
    switch(method.interface_id) {
    case 0: {
      return _AccountImplBase._execute(_this(), method.method_id, input, output); 
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
  public static boolean _execute(Account _self, int _method_id, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.OutputStream _output) {
    switch(_method_id) {
    case 0: {
      try {
        String[] _result = _self.getBasicInfo();
        StringSeqHelper.write(_output, _result);
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 1: {
      try {
        float _result = _self.getBalance();
        _output.write_float(_result);
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 2: {
      try {
        float amt;
        amt = _input.read_float();
        float _result = _self.deposit(amt);
        _output.write_float(_result);
      }
      catch(DataInvalid _exception) {
        DataInvalidHelper.write(_output, _exception);
        return true;
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 3: {
      try {
        float amt;
        amt = _input.read_float();
        float _result = _self.withdraw(amt);
        _output.write_float(_result);
      }
      catch(DataInvalid _exception) {
        DataInvalidHelper.write(_output, _exception);
        return true;
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      catch(InsufficientFunds _exception) {
        InsufficientFundsHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 4: {
      try {
        float amt;
        amt = _input.read_float();
        Account dest;
        dest = AccountHelper.read(_input);
        org.omg.CORBA.FloatHolder destbal = new org.omg.CORBA.FloatHolder();
        float _result = _self.transfer(amt,dest,destbal);
        _output.write_float(_result);
        _output.write_float(destbal.value);
      }
      catch(DataInvalid _exception) {
        DataInvalidHelper.write(_output, _exception);
        return true;
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      catch(InsufficientFunds _exception) {
        InsufficientFundsHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 5: {
      try {
        String[] _result = _self.getCustomerInfo();
        StringSeqHelper.write(_output, _result);
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 6: {
      try {
        String firstName;
        firstName = _input.read_string();
        String lastName;
        lastName = _input.read_string();
        String addr1;
        addr1 = _input.read_string();
        String addr2;
        addr2 = _input.read_string();
        String phone;
        phone = _input.read_string();
        String ssn;
        ssn = _input.read_string();
        _self.setCustomerInfo(firstName,lastName,addr1,addr2,phone,ssn);
      }
      catch(DataInvalid _exception) {
        DataInvalidHelper.write(_output, _exception);
        return true;
      }
      catch(AccessViolation _exception) {
        AccessViolationHelper.write(_output, _exception);
        return true;
      }
      return false;
    }
    case 7: {
      int _result = _self.acctno();
      _output.write_long(_result);
      return false;
    }
    }
    throw new org.omg.CORBA.MARSHAL();
  }
}
