package miniteller;

import org.omg.CORBA.*;
import java.util.Properties;

public class MTClient {
  static ORB orb;
  MiniTeller mt;
  MenuFrame menu;

  public static void main(String[] args) {
    int id;
    System.out.println("Initializing ORB...");
    Properties props = new Properties();
    props.put("ORBnullString", "true");
    props.put("ORBagentAddr", "trajan.invantage.com");
    props.put("ORBagentPort", "31453");
    orb = ORB.init(args, props);
    new MTClient();
  }

  private MTClient() {
		try {
	    mt = MiniTellerHelper.bind(orb, "MiniTeller");
	    menu = new MenuFrame(mt);
		} catch (Exception e) {
	    System.err.println("An exception occurred while attempting to connect:");
	    e.printStackTrace();
		}
	}

/*    Account a = mt.newAccount((float)18300.45);
    id = a.acctno();
    System.out.println("   New account # is " + id);
    System.out.print("   Setting name and stuff...");

    // a = mt.getAccount(
    
    a.setCustomerInfo("Nicholas", "Riley",
		      "332 Franklin St. #403", "Cambridge MA 02139-3179",
		      "(617) 877-4227", "134-35-3134");

    printAccount(a);
    System.out.println("Account balance is " + a.getBalance());
    System.out.println("Withdrawing $20: " + a.withdraw((float)20));
    System.out.println("Depositing $35.50: " + a.deposit((float)35.50));
    FloatHolder f = new FloatHolder();
    Account a01 = mt.getAccount(100000);
    System.out.println("Transfering $0.01 from account 100000: " +
                       a01.transfer((float)0.01, a, f));
    System.out.println("Balance of this account is $" + f.value);
    System.out.println("Transfering $0.01 to account 100000: " +
                       a.transfer((float)0.01, a01, f));

    System.out.println("All accounts:");
    printAccounts(mt.getAccounts());

    } catch (Exception e) {
      e.printStackTrace();
    }
  }

  public static void printAccounts(Account[] list) throws AccessViolation {
    for (int i = 0 ; i < list.length ; i++) {
      System.out.print("retrieved account " + list[i].acctno() + ": ");
      printAccount(list[i]);
    }
  }

  public static void printAccount(Account a) throws AccessViolation {
    String[] info = a.getBasicInfo();
    System.out.println(info[Account.bidx_acct] +
		       " " + info[Account.bidx_name] + " " + info[Account.bidx_bal]);
  }
*/
}
